Get Device Tag Keys

This method retrieves all the tags assigned to devices. Using the ‘getDeviceTags’ API, you can fetch tags assigned to individual devices and for all the devices in an Account.

Key NameMeaningMandatoryData Type
accountnamesList of account names for which device tag keys are requestedYesarray
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Device.getTagKeys(
    accountnames=["DemoAccount1","DemoAccount2"]
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json